PETSc version 3.15.5
Fix/Edit manual page

# AOCreate

Creates an application ordering.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOCreate(MPI_Comm comm,AO *ao)

Collective

### Input Parameters

| comm | - MPI communicator that is to share AO

### Output Parameter

| ao | - the new application ordering

### Options Database Key

| -ao_type <aotype> | - create ao with particular format
| -ao_view | - call AOView() at the conclusion of AOCreate()

### See Also

AOSetIS(), AODestroy(), AOPetscToApplication(), AOApplicationToPetsc()

### Level

beginner

### Location

src/vec/is/ao/interface/ao.c

### Implementations

AOCreate_Basic in src/vec/is/ao/impls/basic/aobasic.c
AOCreate_MemoryScalable in src/vec/is/ao/impls/memscalable/aomemscalable.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages